Subject: Re: Apple SSC and CTS/RTS choking on the 6551
From: [email-masked]
Date: Sun, 22 Nov 1992 12:09:42 GMT
Newsgroups: comp.sys.apple2

In article <[email-masked]> [email-masked] (John Palaima) writes:
> Does anyone know a hardware cure for fixing the screwy 6551 on the
> SSC card other than replacing it with the CMOS..it fixes the problem
> but the timing ould be too far off 

Please elaborate.  What do you mean by "the timing would be too far
off"?  The 6551 and 65C51 have nearly identical bus interface
timings characteristics.

I gather your problem with the 6551 is that CTS kills the trasmitter,
RTS kills the transmitter, DTR kills the receiver AND the transmitter,
and DCD kills the receiver.

On the 65C51, CTS still kills the transmitter, but it lets a partial
byte through.  Similarly, DCD kills the receiver but lets a partial
byte through.

The other signals behave as before - turning off RTS will disable the
transmitter, turning off DTR will disable all transmit and receive (and
interrupts).
-- 
David Empson

Internet: [email-masked]    [email-masked]
Snail mail: P.O. Box 27-103, Wellington, New Zealand
Path: news.weeg.uiowa.edu!news.uiowa.edu!uunet!cs.utexas.edu!ut-emx!ccwf.cc.utexas.edu
From: [email-masked] (Michael Foegelle)
Newsgroups: comp.sys.apple2
Subject: Re: Fast modems and the SSC
Message-ID: <[email-masked]>
Date: 22 Nov 92 22:21:19 GMT
References: <[email-masked]> <[email-masked]> <[email-masked]>
Sender: [email-masked]
Organization: The University of Texas at Austin, Austin TX
Lines: 46

In article <[email-masked]> [email-masked] writes:
>Regarding the Super Serial Card, which uses a 6551:
>
>The 6551 has two very nasty features with its flow control inputs.  If
>the CTS input goes inactive, the transmit data signal is IMMEDIATELY
>cut off.
>
    >Stuff about DCD and DSR deleted<
>
>The CMOS 6551 (65C51) is somewhat better: CTS cuts off the transmitter
>after the current byte has been completely transmitted.  It has the
>same behaviour for DCD.
>Its other advantage is that disabling receive interrupts also disables
>the DCD and DSR change of state interrupt.  This cannot be disabled on
>the original 6551, which is why a IIe will usually hang if you unplug
>the modem from the SSC while you aren't in a comms program.
>
Be careful with your descriptions.  The 65C51A works as you describe, but the
65C51 works identically to the 6551 in terms of CTS.  At least that's the way
the GE/Harris/RCA version works.  I believe there's also a 6551A available 
which may solve the problem as well.

>BUT, I don't think you can simply replace a 6551 with a 65C51.  We
>tried this in one of the products my company produces, and it didn't
>work reliably, because the two chips expect different types of crystals.
>-- 
I'm using a 65C51A in my SSC with my 14.4Kbaud Supra with no problems.  It 
also solved the problem that the 6551 had with RTS low forcing CTS low 
internally (a problem mentioned several months back).

For about six bucks from a mail order electronics house, it's a pretty easy
fix.

>David Empson
>
>Internet: [email-masked]    [email-masked]
>Snail mail: P.O. Box 27-103, Wellington, New Zealand

-- 
-------------------------------------------------------------------------------
   Michael Foegelle  |                    |   [email-masked]
     ____________    |     You want it    |   [email-masked]
                     |                    |   GEnie:   M.FOEGELLE2
    University of    |        WHEN?       |   Wunderland BBS  (512) 472-0544
   Texas at Austin   |                    |   14.4kbaud, v.32/bis:  Sysop